List inputs
GET/v1/streams/inputs
GET
/v1/streams/inputs
const url = 'https://api.ligr.live/rest/v1/streams/inputs';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.ligr.live/rest/v1/streams/inputs \ --header 'Authorization: Bearer <token>'Lists the inputs of the organization.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Ok
Media typeapplication/json
object
inputs
required
Array<object>
An input of the organization. A default input is a push endpoint LIGR hosts: send RTMP to
rtmpUrl with streamKey, or SRT to srtUrl. A pull input reads sourceUrl.
object
id
required
Entity identifier
integer format: int32
name
required
string
type
required
string
host
required
string
applicationName
required
string
streamKey
required
string
rtmpUrl
required
RTMP ingest URL. Publish with streamKey as the stream key.
string
srtUrl
required
SRT ingest URL, stream id included.
string
sourceUrl
required
For a pull input: the URL LIGR pulls.
string
latencyMs
required
Receive latency in milliseconds.
number format: double
createdAt
required
string
updatedAt
required
string
Example
{ "inputs": [ { "type": "default" } ]}Request is invalid
Media typeapplication/json
object
message
required
string
details
required
object
key
additional properties
Examplegenerated
{ "message": "example", "details": { "additionalProperty": "example" }}Missing or invalid api key
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Api key provides insufficient access for the request
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Input not found
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Api key has made too many requests
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}An unexpected error has occured. If problems persist please contact support
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}